int richtungA = 12;  // Richtung Motor A
int richtungB = 13;  // Richtung Motor B
int pwmA      =  3;  // Geschwindigkeit Motor A
int pwmB      = 11;  // Geschwindigkeit Motor B
int bremseA   =  9;  // Bremse Motor A
int bremseB   =  8;  // Bremse Motor B


// Geschwindigkeit der Motoren.
// 255 ist der Maximalwert!
int geschwindigkeitA = 128; // rechter Motor
int geschwindigkeitB = 127; // linker  Motor


void setup()
{
  // Pins für Motorenrichtungen als Ausgang
  pinMode(richtungA, OUTPUT);
  pinMode(richtungB, OUTPUT);
  
  // Pins für Bremsen als Ausgang
  pinMode(bremseA, OUTPUT);
  pinMode(bremseB, OUTPUT);

  // Geschwindigkeiten setzen
  analogWrite(pwmA, geschwindigkeitA);
  analogWrite(pwmB, geschwindigkeitB);
  
  // "Bremse anziehen" (Motoren aus)
  // Man weiß ja nie...
  digitalWrite(bremseA, HIGH);
  digitalWrite(bremseB, HIGH);
}


void loop()
{
  // 2 Sekunden stehen
  delay(2000);

  // "links herum" drehen
  digitalWrite(richtungA, HIGH);
  digitalWrite(richtungB, LOW);

  // "Bremsen lösen". Los geht's!
  digitalWrite(bremseA, LOW);
  digitalWrite(bremseB, LOW);

  // 2 Sekunde fahren...
  delay(2000);

  // "Bremsen anziehen" (Motoren aus)
  digitalWrite(bremseA, HIGH);
  digitalWrite(bremseB, HIGH);

  // 2 Sekunden stehen
  delay(2000);

  // "links herum" drehen
  digitalWrite(richtungA, LOW);
  digitalWrite(richtungB, HIGH);

  // "Bremsen lösen". Los geht's!
  digitalWrite(bremseA, LOW);
  digitalWrite(bremseB, LOW);

  // 2 Sekunde fahren
  delay(2000);

  // "Bremsen anziehen" (Motoren aus)
  digitalWrite(bremseA, HIGH);
  digitalWrite(bremseB, HIGH);
}

