#include <Servo.h> 
 
Servo servo1;  // Erstellt ein Servoobjekt zur Steuerung 
                // Maximal 8 Servos können angesteuert werden.
 
#define SERVO_RECHTS  25  // Bei welchem Winkel stößt der Kopf auf dem Servo rechts an?
#define SERVO_LINKS  145  // Bei welchem Winkel stößt der Kopf auf dem Servo links an?
 
void setup() 
{ 
  servo1.attach(5);  // Pin 5 auf dem Motor Shield
} 
 
 
void loop() 
{ 
  for(int pos = SERVO_RECHTS; pos < SERVO_LINKS; pos += 1)  // Geht von 0 bis 180 Grad 
  {                                  // in Schritten von einem Grad.
    servo1.write(pos);               // Bewege Servo zu Position "pos". 
    delay(15);                       // Warte 15 ms, bis Servo Position erreicht.
  } 

  for(int pos = SERVO_LINKS; pos >= SERVO_RECHTS; pos -=1 )     // Geht von 180 bis 0 Grad
  {                                
    servo1.write(pos);               // Bewege Servo zu Position "pos". 
    delay(15);                       // Warte 15 ms, bis Servo Position erreicht.
  } 
}

