#include <Servo.h> 
 
Servo servo1;  // Erstellt ein Servoobjekt zur Steuerung 
                // Maximal 8 Servos können angesteuert werden.
 
 
void setup()
{
  pinMode(9, OUTPUT); // Pin 9 als Ausgang definieren
  servo1.attach(9);   // Vebindet Pin 9 mit dem Servoobjekt 
}
 
 
void loop()
{ 
  int pos = 0;    // Variable zur Speicherung der Position 


  for (pos = 0; pos <= 180; pos++) // Geht von 0 bis 180 Grad 
  {                                // in Schritten von einem Grad.
    servo1.write(pos);             // Bewege Servo zu Position "pos". 
    delay(15);                     // Warte 15 ms, bis Servo Position erreicht.
  }

  for (pos = 180; pos >= 0; pos--)   // Geht von 180 bis 0 Grad
  {                               
    servo1.write(pos);               // Bewege Servo zu Position "pos". 
    delay(15);                       // Warte 15 ms, bis Servo Position erreicht.
  }
}

